<div class="cs-page-container">
  <app-breadcrumb [config]="breadcrumbsConfig"></app-breadcrumb>
  <span class="eui-u-f-2xl-bold cs-list-heading-light-header eui-u-pt-3xl">{{ 'app.features.sr.title' | translate }}</span>
  <span class="cs-list-heading-light-description">{{ 'app.features.sr.description' | translate }}</span>
</div>

<div class="cs-list-light-wrapper">
  <eui-page-content>
    <eui-page-columns>
      <eui-page-column
        [isCollapsible]="true"
        [isAutocloseOnContainerResize]="true"
        label="{{'app.features.sr.filters.columnTitle' | translate}}"
        size="4xl">
        <eui-page-column-body>
          <app-sr-filters></app-sr-filters>
        </eui-page-column-body>
      </eui-page-column>
      <eui-page-column>
        <eui-page-column-body>
          <app-sr-table
            [columns]="columns"
            [config]="tableConfig"
            [paginationOptions]="paginationOptions$ | async"
            [tableData]="tableData$ | async"
          ></app-sr-table>
        </eui-page-column-body>
      </eui-page-column>
    </eui-page-columns>
  </eui-page-content>
</div>


